--
-- Grid2Broker
--
-- http://www.wowace.com/addons/grid2-broker/
--

local LDB = LibStub:GetLibrary("LibDataBroker-1.1")
local LibQTip = LibStub("LibQTip-1.0")
local L = LibStub:GetLibrary("AceLocale-3.0"):GetLocale("Grid2")
local Grid2 = Grid2

local sVersion = GetAddOnMetadata("Grid2Broker", "Version")

-- Set up as a LibBroker data source
Grid2.ldb = LDB:NewDataObject("Grid2Broker", {
	type = "launcher",
	label = L["Grid2"],
	icon = [[Interface\AddOns\Grid2Broker\icon]],
})

function Grid2.ldb.OnClick(clickedframe, button)
	if (button == "LeftButton") then
		if (IsShiftKeyDown()) then
			Grid2Layout:FrameLock()
			return
		end
	end
	
	-- Default
	Grid2:OnChatCommand()
end

-- Handle mouse enter event in our button
function Grid2.ldb.OnEnter(button)
	local tooltip = LibQTip:Acquire("Grid2BrokerTooltip", 2, "LEFT", "RIGHT")
	Grid2.ldb.tooltip = tooltip

--	tooltip:AddHeader(L["Grid2"])
	tooltip:AddHeader("|cffffff00Grid2|r")
	tooltip:AddLine((L["\n|cffffffff%s:|r %s"]):format(L["Left-Click"], L["Options GUI"]))
	tooltip:AddLine((L["\n|cffffffff%s:|r %s"]):format(L["Shift-Click"], L["Locks/unlocks Grid for movement."]))

	tooltip:SmartAnchorTo(button)
	tooltip:Show()
end


function Grid2.ldb.OnLeave()
	LibQTip:Release(Grid2.ldb.tooltip)
	Grid2.ldb.tooltip = nil
end

